org.springframework.web.servlet.mvc.condition

## Interface NameValueExpression<T>

    public interface NameValueExpression<T>

A contract for `"name!=value"` style expression used to specify request parameters and request header conditions in `@RequestMapping`.

Since:
  3.1
Author:
  Rossen Stoyanchev
See Also:
  `RequestMapping.params()`, `RequestMapping.headers()`

### Method Summary

Methods
`String` `getName()`
`T` `getValue()`
`boolean` `isNegated()`

### Method Detail

#### getName

    String getName()

#### getValue

    T getValue()

#### isNegated

    boolean isNegated()